aegis -Integrate_Begin_Undo(1)

NAME
aegis integrate begin undo - reverse the aeib command

SYNOPSIS
aegis -Integrate_Begin_Undo [ option... ]
aegis -Integrate_Begin_Undo -List [ option... ]
aegis -Integrate_Begin_Undo -Help

DESCRIPTION
The aegis -Integrate_Begin_Undo command is used to reverse the actions of the 'aegis -Integrate_Begin' command.

Successful execution of this command will move the change from the being integrated state to the awaiting integration state. The integration directory will be deleted. The change will cease to be assigned to the current user.

In the unlikely event that an integrator has wandered away and left an integration incomplete (say, went on holidays and won't be back for two weeks), project administrators are also able to use this command.

  Notification
On successful completion of this command, the integration_begin_undo_command field of the project config file is run, if set. See aepconf(5) for more information.

OPTIONS
The following options are understood:

-Change number
    This option may be used to specify a particular change within a project. See aegis(1) for a complete description of this option.

-Help
    This option may be used to obtain more information about how to use the aegis program.

-Keep
    This option may be used to retain files and/or directories usually deleted or replaced by the command. Defaults to the user's delete_file_preference if not specified, see aeuconf(5) for more information.

-No_Keep
    This option may be used to ensure that the files and/or directories are deleted or replaced by the command. Defaults to the user's delete_file_preference if not specified, see aeuconf(5) for more information.

-List
    This option may be used to obtain a list of suitable subjects for this command. The list may be more general than expected.

-Project name
    This option may be used to select the project of interest. When no -Project option is specified, the AEGIS_PROJECT environment variable is consulted. If that does not exist, the user's $HOME/.aegisrc file is examined for a default project field (see aeuconf(5) for more information). If that does not exist, when the user is only working on changes within a single project, the project name defaults to that project. Otherwise, it is an error.

-REAson text
    This option may be used to attach a comment to the change history generated by this command. You will need to use quotes to insulate the spaces from the shell.

-TERse
    This option may be used to cause listings to produce the bare minimum of information. It is usually useful for shell scripts.

-Verbose
    This option may be used to cause aegis to produce more output. By default aegis only produces output on errors. When used with the -List option this option causes column headings to be added.

-Wait
    This option may be used to require Aegis commands to wait for access locks, if they cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

-No_Wait
    This option may be used to require Aegis commands to emit a fatal error if access locks cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aegis are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

RECOMMENDED ALIAS
The recommended alias for this command is
csh%	alias aeibu 'aegis -ibu \!* -v'
sh$	aeibu(){aegis -ibu "$@" -v}

ERRORS
It is an error if the change is not in the being_integrated state.
It is an error if the change is not assigned to the current user and the current user is not a project administrator.

EXIT STATUS
The aegis command will exit with a status of 1 on any error. The aegis command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

SEE ALSO

aeib(1)
    begin integration of a change

aeuconf(5)
    user configuration file format

COPYRIGHT
aegis version 4.24.3.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aegis program comes with ABSOLUTELY NO WARRANTY; for details use the 'aegis -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aegis -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/